Run in Apidog
Changes the answers or the required time of a Service Request and returns the updated request. Fields you leave out keep their value. Only requests raised with the same API key can be updated; any other ID returns 404.
Request Body Params application/json Required
{
"answers" : [
{
"questionId" : "q-dietary" ,
"kind" : "option" ,
"value" : [
"opt-vegan"
]
}
]
} Request Code Samples
curl --location --request PATCH 'https://api.calven.com/v1/service-requests/' \
--header 'Content-Type: application/json' \
--data '{
"answers": [
{
"questionId": "q-dietary",
"kind": "option",
"value": [
"opt-vegan"
]
}
]
}' Responses application/json
Generate Code
{
"serviceRequestId" : "sr-7f3a" ,
"type" : "meetingBound" ,
"offeringId" : "off-catering-v3" ,
"locationId" : "loc-sydney-hq" ,
"status" : "accepted" ,
"calendarEventId" : "ce-91c2" ,
"answers" : [
{
"questionId" : "q-dietary" ,
"kind" : "text" ,
"value" : "string" ,
"freeText" : "string"
}
] ,
"requester" : {
"principalId" : "b0f6c1d2-3e4f-4a5b-8c7d" ,
"principalType" : "external"
} ,
"assignee" : {
"principalId" : "b0f6c1d2-3e4f-4a5b-8c7d" ,
"principalType" : "external"
} ,
"requiredAtOffsetMinutes" : -15 ,
"createdAt" : "2026-10-13T04:12:00.000Z" ,
"updatedAt" : "2026-10-13T04:12:00.000Z"
}
Modified at 2026-10-16 03:07:55